version: '2'

services:
  docker:
    build: ./docker
    hostname: docker
    container_name: docker
    restart: always
    privileged: true
    volumes:
      - ./docker:/docker
      - ./docker/torrc:/etc/tor/torrc
      - ./docker/docker:/etc/init.d/docker
      - ./docker/daemon.json:/etc/docker/daemon.json
    entrypoint:
      - /bin/bash
      - /docker/entrypoint.sh
    network_mode: host
#      mynet:
#        ipv4_address: 172.39.0.101
        
#networks:
#  mynet:
#    driver: bridge
#    ipam:
#      config:
#      - subnet: 172.39.0.0/24
